Cantera 2.6.0

Namespaces | Functions
ReactionRateFactory.cpp File Reference
`#include "cantera/kinetics/ReactionRateFactory.h"`
`#include "cantera/kinetics/MultiRate.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/kinetics/Kinetics.h"`
`#include "cantera/kinetics/Falloff.h"`
`#include "cantera/kinetics/TwoTempPlasmaRate.h"`
`#include "cantera/kinetics/ChebyshevRate.h"`
`#include "cantera/kinetics/Custom.h"`
`#include "cantera/kinetics/RxnRates.h"`
`#include "cantera/kinetics/InterfaceRate.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for ReactionRateFactory.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< ReactionRate > | newReactionRate (const std::string &type)
| Create a new empty ReactionRate object. More...
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node, const UnitStack &rate_units)
| Create a new Rate object using the specified parameters. More...
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node)
| Create a new Rate object using the specified parameters. More...